action.hpp File Reference

## Classes

struct | ranges::actions::action_closure< ActionFn >
struct | ranges::actions::action_closure_base
struct | ranges::make_action_closure_fn

## Variables

template<typename ActionFn , typename Rng >
concept | ranges::invocable_action_closure
template<typename ActionFn , typename Rng >
concept | ranges::defer::invocable_action_closure
template<typename ActionFn , typename Rng >
concept | ranges::invocable_action_closure_ = !derived_from<invoke_result_t<ActionFn, Rng>, detail::action_closure_base_>
constexpr make_action_closure_fn | ranges::make_action_closure {}

## Variable Documentation

## invocable_action_closure

template<typename ActionFn , typename Rng >

concept ranges::defer::invocable_action_closure

Initial value:
=
ranges::invocable_action_closure < ActionFn, Rng >